cadconcepts
2021-05-26, 08:03 PM
Hi
I have a lisp routine that I want to modify so that it only runs only if it finds objects in the current environment - modelspace or paperspace.
(defun c:HAT2BACK(/ sset)
(if (setq sset (ssget "_x" (list (cons 0 "HATCH"))))
(progn
(command ".draworder" sset "" "back")
(prompt "\nAll hatches successfully sent to the back.")
)
)
(princ)
)
Thanks
Manuel
I have a lisp routine that I want to modify so that it only runs only if it finds objects in the current environment - modelspace or paperspace.
(defun c:HAT2BACK(/ sset)
(if (setq sset (ssget "_x" (list (cons 0 "HATCH"))))
(progn
(command ".draworder" sset "" "back")
(prompt "\nAll hatches successfully sent to the back.")
)
)
(princ)
)
Thanks
Manuel